<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:


if(isset($_GET['strTwitterID']) && !empty($_GET['strTwitterID'])){
	$strTwitterID = $_GET["strTwitterID"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strTwitterID missing, ";
}

if(isset($_GET['strAction']) && !empty($_GET['strAction'])){
	$strAction = $_GET["strAction"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strAction missing, ";
}

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<users>" . "\r\n";
	echo "		<user>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</user>" . "\r\n";
	echo "	</users>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);

$url = 'https://api.twitter.com/1.1/friendships/' . $strAction . '.json';
$requestMethod = 'POST';

$postfields = array(
    'user_id' => $strTwitterID
);

$twitter = new TwitterAPIExchange($settings);

$data=$twitter->buildOauth($url, $requestMethod)
             ->setPostfields($postfields)
             ->performRequest();

$arrayContent = json_decode($data, true);

//var_dump($arrayContent);
//exit;

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
echo "	<users>"."\r\n";
echo "		<user>"."\r\n";

if (array_key_exists('errors', $arrayContent)) {
	echo "			<code>" .$arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</user>"."\r\n";
	echo "	</users>";
	die;
}

echo "			<code>0</code>" . "\r\n";
echo "			<booProtected>" . $arrayContent['protected'] . "</booProtected>" . "\r\n";
echo "			<strTwitterID>" . $arrayContent['id_str'] . "</strTwitterID>" . "\r\n";
echo "		</user>" . "\r\n";
echo "	</users>" . "\r\n";

?>