<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:

if ( isset( $_GET["strTwitterID"]) && !empty($_GET['strTwitterID'])) {
	$strTwitterID = $_GET["strTwitterID"];
	$getfield = '?include_entities=false&user_id=' . $strTwitterID;
}
elseif ( isset($_GET["strScreenName"]) && !empty($_GET['strScreenName'])) {
	$strScreenName = $_GET["strScreenName"];
	$getfield = '?include_entities=false&screen_name=' . $strScreenName;
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "either strTwitterID or strScreenName missing, ";	
}

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<users>" . "\r\n";
	echo "		<user>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</user>" . "\r\n";
	echo "	</users>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" . "\r\n";
echo "	<users>" . "\r\n";

$url = 'https://api.twitter.com/1.1/users/lookup.json';


$requestMethod = 'GET';
$twitter = new TwitterAPIExchange($settings);

$users=$twitter->setGetfield($getfield)
			 ->buildOauth($url, $requestMethod)
			 ->performRequest();

$arrayContent = json_decode($users, true);
			 
if (array_key_exists('errors', $arrayContent)) {
	
	echo "		<user>" . "\r\n";
	echo "			<code>" . $arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</user>" . "\r\n";
	echo "	</users>" . "\r\n";
	die;
}

$arrayCount = count($arrayContent);
$arrayCurPos = 0;

function CleanXML($strXML) {
	
	$strXML = str_replace("","",$strXML);
	$strXML = str_replace("&","&amp;",$strXML);
	$strXML = str_replace("<","&lt;",$strXML);
	$strXML = str_replace(">","&gt;",$strXML);
	$strXML = str_replace('"',"&quot;",$strXML);
	$strXML = str_replace("'","&apos;",$strXML);
	$strXML = str_replace("\r","&lt;br&gt;",$strXML);
	$strXML = str_replace("\n","&lt;br&gt;",$strXML);

	return $strXML;
	
}

while ($arrayCurPos < $arrayCount){
	
	echo "		<user>" . "\r\n";
	echo "			<code>0</code>" . "\r\n"; // no errors
	echo "			<strTwitterID>" . $arrayContent[$arrayCurPos]['id'] . "</strTwitterID>" . "\r\n";
	echo "			<strScreenName>" . CleanXML($arrayContent[$arrayCurPos]['screen_name']) . "</strScreenName>" . "\r\n";
	echo "			<strAvatarURL>" . CleanXML($arrayContent[$arrayCurPos]['profile_image_url']) . "</strAvatarURL>" . "\r\n";
	echo "			<strName>" . CleanXML($arrayContent[$arrayCurPos]['name']) . "</strName>" . "\r\n";
	echo "			<strDescription>" . CleanXML($arrayContent[$arrayCurPos]['description']) . "</strDescription>" . "\r\n";
	echo "			<strFollowersCount>" . $arrayContent[$arrayCurPos]['followers_count'] . "</strFollowersCount>" . "\r\n";
	echo "			<strTweetsCount>" . $arrayContent[$arrayCurPos]['statuses_count'] . "</strTweetsCount>" . "\r\n";
	echo "			<strFriendsCount>" . $arrayContent[$arrayCurPos]['friends_count'] . "</strFriendsCount>" . "\r\n";
	$new_date_format = date('d-M-Y H:i:s', strtotime($arrayContent[$arrayCurPos]['created_at']));   
	echo "			<dtmProfileCreated>" . $new_date_format . "</dtmProfileCreated>" . "\r\n";
	echo "			<strURL>" . CleanXML($arrayContent[$arrayCurPos]['url']) . "</strURL>" . "\r\n";
	
	if ($arrayContent[$arrayCurPos]['following'] == 1) {

	$booFollowing = 1;
	
	} else {

		$booFollowing = 0;

	}
	
	echo "			<booFollowing>" . $booFollowing . "</booFollowing>" . "\r\n";
	echo "		</user>" . "\r\n";
	$arrayCurPos = $arrayCurPos + 1;
}

echo "	</users>" . "\r\n";

//echo var_dump($arrayContent);

?>